{ lib, config, ... }:
let
  cfg = config.myServices.websites.cip-ca.sympa;
in
{
  options.myServices.websites.cip-ca.sympa.enable = lib.mkEnableOption "enable cip-ca’s sympa website";
  config = lib.mkIf cfg.enable {
    services.websites.env.tools.vhostConfs.cipca_sympa = {
      certName     = "cip-ca";
      certMainHost = "mail.cip-ca.fr";
      hosts        = [ "mail.cip-ca.fr" ];
      root         = null;
      extraConfig = [
        ''
          Alias /static-sympa/ /var/lib/sympa/static_content/
          <Directory /var/lib/sympa/static_content/>
            Require all granted
            AllowOverride none
          </Directory>
          <Location /sympa>
            SetHandler "proxy:unix:/run/sympa/wwsympa.socket|fcgi://"
            Require all granted
          </Location>
          ''
      ];
    };
  };
}
